﻿using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace Sample
{
    public class ExtendedMetroDarkTheme : MetroDarkTheme
    {
        protected override void ConfigureControlMappings()
        {
            base.ConfigureControlMappings();

            // MS標準コントロールのテーマ情報を更新
            string assemblyFullName = Assembly.GetExecutingAssembly().FullName;
            Mappings[ControlMappingKeys.MsCoreControls] = ThemeBase.BuildLocationString(assemblyFullName, @"/Themes/ExtendedMetroDark.MsCoreControls.xaml");
        }
    }
}
